Summary:       Utilities for the Conexant CX23415/CX23416 Codec Chip
Name:          ivtv
Version:       0.4.10
Release:       8%{?dist}%{?pext}
License:       GPL
Group:         Applications/System
Source0:       http://dl.ivtvdriver.org/%{name}/archive/0.4.x/%{name}-%{version}.tar.gz
Patch0:        %{name}-0.4.10-build.patch
URL:           http://ivtvdriver.org/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        The IVTV Project
Provides:      %{name}-kmod-common = %{version}
Requires:      %{name}-kmod >= %{version}
Obsoletes:     %{name}-utils


%description
The IVTV driver supports video hardware base on Conexant's CX23415/CX23416
codec chip such as the Hauppauge PVR 150/250/350/500 models. This package
contains the userspace tools.

Note: This package does not include the necessary firmware. The files can
be manually downloaded from http://ivtvdriver.org/index.php/Firmware and
put into "/lib/firmware".


%prep
%setup -q
%patch0 -p1


%build
export EXTRA_CFLAGS="${RPM_OPT_FLAGS}"

pushd utils
%{__make} %{?_smp_mflags}
popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}

pushd utils
%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	PREFIX=%{_prefix}         \
	install

%{__install} -m 0755 ivtvfwextract.pl ${RPM_BUILD_ROOT}%{_datadir}/%{name}
popd


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING ChangeLog* README doc
%{_bindir}/cx25840ctl
%{_bindir}/%{name}-detect
%{_bindir}/%{name}-encoder
%{_bindir}/%{name}-mpegindex
%{_bindir}/%{name}-radio
%{_bindir}/%{name}-tune
%{_bindir}/ivtvctl
%{_bindir}/ivtvfbctl
%{_bindir}/ivtvplay
%{_includedir}/linux/%{name}.h
%{_datadir}/%{name}


%changelog
* Tue Mar 17 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.4.10-8
- Rewritten for buildsystem

* Thu Jun 15 2006 peter.pramberger@member.fsf.org
- created
